package org.wso2.carbon.device.mgt.ios.api.utils.beans.wrapper;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.wso2.carbon.device.mgt.ios.payload.beans.WIFI;

import java.util.List;

@ApiModel(value = "VpnBeanWrapper",
        description = "Information related to VPN Configuration.")
public class WIFIBeanWrapper {

    @ApiModelProperty(name = "deviceIDs",
            value = "List of device Ids to be need to execute wifi.", required = true)
    private List<String> deviceIDs;
    @ApiModelProperty(name = "operation",
            value = "Wifi.", required = true)
    private WIFI operation;

    public List<String> getDeviceIDs() {
        return deviceIDs;
    }

    public void setDeviceIDs(List<String> deviceIDs) {
        this.deviceIDs = deviceIDs;
    }

    public WIFI getOperation() {
        return operation;
    }

    public void setOperation(WIFI operation) {
        this.operation = operation;
    }
}
